[
{"_id":"bootstrap","weight":100,"channel":"bootstrap","events":{"0 BOOTSTRAP":true},"precondition":"NOT DeviceID.ProductClass = \"DISCOVERYSERVICE\"","configurations":[{"type":"provision","name":"bootstrap","args":null}]},
{"_id":"default","weight":90,"channel":"default","precondition":"NOT DeviceID.ProductClass = \"DISCOVERYSERVICE\"","events":{},"configurations":[{"type":"provision","name":"default","args":null}]},
{"_id":"inform","weight":0,"channel":"inform","precondition":"NOT DeviceID.ProductClass = \"DISCOVERYSERVICE\"","events":{},"configurations":[{"type":"provision","name":"inform","args":null}]},
{"_id":"firmware-upgrade-ht502","channel":"firmware-upgrade","precondition":"DeviceID.ProductClass = \"HT-502\" AND Device.DeviceInfo.SoftwareVersion <> \"1.0.12.1\"","weight":0,"events":{"1 BOOT":true},"configurations":[{"type":"provision","name":"firmware-upgrade","args":["ht502fw.bin"]}]},
{"_id":"firmware-upgrade-ht812","channel":"firmware-upgrade","precondition":"DeviceID.ProductClass = \"HT812\" AND Device.DeviceInfo.SoftwareVersion <> \"1.0.9.3\"","weight":0,"events":{"1 BOOT":true},"configurations":[{"type":"provision","name":"firmware-upgrade","args":["ht81xfw.bin"]}]},
{"_id":"reboot","events":{"7 TRANSFER COMPLETE":true},"precondition":"","weight":0,"configurations":[{"type":"provision","name":"reboot","args":null}]},
{"_id":"bootstrap_raisecom_hgu","precondition":"DeviceID.ProductClass = \"HT803G-W\"","channel":"bootstrap","weight":0,"events":{"0 BOOTSTRAP":true},"configurations":[{"type":"provision","name":"bootstrap_raisecom_hgu","args":null}]},
{"_id":"HT803G-W_inform","channel":"inform","weight":10,"precondition":"DeviceID.ProductClass = \"HT803G-W\"","events":{},"configurations":[{"type":"provision","name":"HT803G-W_inform","args":null}]},
{"_id":"firmware-upgrade-ht803-w","channel":"firmware-upgrade","weight":0,"events":{"1 BOOT":true},"precondition":"DeviceID.ProductClass = \"HT803G-W\" AND InternetGatewayDevice.DeviceInfo.SoftwareVersion <> \"3.10.13\"","configurations":[{"type":"provision","name":"firmware-upgrade-HT803G","args":["ISCOMHT803G-W_T_GJ01_SYSTEM_3.10.13_20200831"]}]},
{"_id":"HT502_inform","channel":"inform","weight":0,"precondition":"DeviceID.ProductClass = \"HT-502\"","events":{},"configurations":[{"type":"provision","name":"HT502","args":null}]},
{"_id":"HT812_inform","channel":"inform","weight":0,"precondition":"DeviceID.ProductClass = \"HT812\"","events":{},"configurations":[{"type":"provision","name":"HT812","args":null}]},
{"_id":"Deco-Bootstrap","channel":"bootstrap","events":{"0 BOOTSTRAP":true},"precondition":"false AND DeviceID.ProductClass = \"Device 2\"","weight":0,"configurations":[{"type":"provision","name":"Deco-Bootstrap","args":null}]},
{"_id":"Deco-Inform","channel":"Inform","precondition":"DeviceID.ProductClass = \"Device 2\"","weight":0,"events":{},"configurations":[{"type":"provision","name":"Deco-Inform","args":null}]},
{"_id":"Deco-Patch-Enable-SSID","precondition":"DeviceID.ID = \"403F8C-Device%202-403F8CF47930\"","weight":0,"events":{},"configurations":[{"type":"provision","name":"Deco-Patch-Enable-SSID","args":null}]},
{"_id":"HT803G-WS2_inform","precondition":"DeviceID.ProductClass = \"HT803G-WS2\" AND NOT DeviceID.ID = \"000E5E-HT803G%2DWS2-CCC2E02T3FACCC2E03DD89C\"","weight":0,"events":{},"configurations":[{"type":"provision","name":"HT803G-WS2_inform","args":null}]},
{"_id":"firmware-upgrade-Deco","precondition":"false AND DeviceID.ProductClass = \"Device 2\" AND Device.DeviceInfo.SoftwareVersion <> \"2.4.0 Build 20210520 Rel. 77456\" AND DeviceID.ID = \"403F8C-Device%202-403F8CF4B858\"","events":{"1 BOOT":true},"weight":0,"channel":"firmware-upgrade","configurations":[{"type":"provision","name":"firmware-upgrade","args":["BETA_m4r-SP1-up-ver2-4-0-P1[20210520-rel77456]_2021-05-20_21.31.27.bin"]}]},
{"_id":"firmware-upgrade-HT803G-WS2","channel":"firmware-upgrade","weight":200,"events":{"1 BOOT":true},"precondition":"DeviceID.ProductClass = \"HT803G-WS2\" AND InternetGatewayDevice.DeviceInfo.SoftwareVersion <> \"3.90.85\" AND InternetGatewayDevice.DeviceInfo.SoftwareVersion <> \"3.90.79\"","configurations":[{"type":"provision","name":"firmware-upgrade","args":["HT803G-WS2_M_GJ01_MWI_SYSTEM_3.90.85_20220818.bin"]}]},
{"_id":"Deco-Host","events":{},"channel":"inform","precondition":"false AND DeviceID.SerialNumber = \"CC32E50F5BE0\"","weight":0,"configurations":[{"type":"provision","name":"Deco-Host","args":null}]},
{"_id":"xx230v_inform","channel":"inform","precondition":"DeviceID.ProductClass = \"Device2\" AND Device.DeviceInfo.ModelName = \"XX230v\" AND NOT Device.DeviceInfo.X_TP_MACAddress LIKE \"%CF:AD:2F:30\"","weight":0,"events":{},"configurations":[{"type":"provision","name":"xx230v_inform","args":null}]},
{"_id":"xx230v_boot","channel":"boot","events":{"1 BOOT":true},"precondition":"DeviceID.ProductClass = \"Device2\" AND Device.DeviceInfo.ModelName = \"XX230v\"","weight":0,"configurations":[{"type":"provision","name":"xx230v_boot","args":null}]},
{"_id":"HT803G-W_inform_upnp","channel":"inform","precondition":"DeviceID.ProductClass = \"HT803G-W\" AND Tags.upnp_auto IS NULL","weight":0,"events":{},"configurations":[{"type":"provision","name":"HT803-W_inform_upnp","args":null}]},
{"_id":"xx530v_inform","channel":"inform","precondition":"DeviceID.ProductClass = \"XX530v\"","weight":0,"events":{},"configurations":[{"type":"provision","name":"xx530v_inform","args":null}]},
{"_id":"DISCOVERYSERVICE","precondition":"DeviceID.ProductClass = \"DISCOVERYSERVICE\"","weight":10,"channel":"DISCOVERYSERVICE","events":{},"configurations":[{"type":"provision","name":"reboot","args":null}]},
{"_id":"xx430v_inform","channel":"inform_xx430v","precondition":"DeviceID.ProductClass = \"XGB430v_Pro\"","weight":0,"events":{},"configurations":[{"type":"provision","name":"xx430v_inform","args":null}]},
{"_id":"XX230v_inform_TpLink_fix","channel":"inform","precondition":"Device.DeviceInfo.X_TP_MACAddress LIKE \"%CF:AD:2F:30\"","weight":0,"events":{},"configurations":[{"type":"provision","name":"XX230v_inform_TpLink_fix","args":null}]}
]